%define __libtoolize    /bin/true

Name:           kdetrayproxy
Summary:        KDE systray icons work with all window managers.
Version:        0.2
Release:        6mdk
Source:         %{name}-%{version}.tar.bz2
URL:            http://ktown.kde.org/~seli/kdewm/
Group:          Archiving/Other
BuildRoot:      %_tmppath/%name-buildroot
License:		GPL
BuildRequires:	XFree86-devel
BuildRequires:	kdelibs-devel
BuildRequires:	 libart_lgpl-devel
BuildRequires:	arts-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel

%description
In order to make KDE systray icons work with window managers 
that don't have support for the KDE tray protocol, the kdetrayproxy 
kded module must be installed. This module is auto-loaded, so 
there's no need to start it manually after installation.

%prep
%setup -q

%build
QTDIR=%qtdir
export LD_LIBRARY_PATH=$QTDIR/%_lib:$LD_LIBRARY_PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


#Menu


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,0755)
%_libdir/kde3/kded_kdetrayproxy.la
%_libdir/kde3/kded_kdetrayproxy.so
%_datadir/services/kded/kdetrayproxy.desktop


%changelog
* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-6mdk
- Fix build on x64

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-5mdk
- Remove explicite requires on kdebase

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-4mdk
- Fix requires on kdebase-progs and not kdebase

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-3mdk
- Rebuild 

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-2mdk
- Fix spec file

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-1mdk
- First package

